<?xml version = '1.0' encoding = 'windows-1252'?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">
<ejb-jar>
  <enterprise-beans>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmSecondFacade</display-name>
      <ejb-name>HrmSecondFacade</ejb-name>
      <home>wenrgise.hrms.ejb.facade.HrmSecondFacadeHome</home>
      <remote>wenrgise.hrms.ejb.facade.HrmSecondFacade</remote>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmSecondFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmAttendanceFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmAttendanceFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmAttendanceFacadeLocal</local>
        <ejb-link>HrmAttendanceFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmEligibilityFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmEligibilityFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmEligibilityFacadeLocal</local>
        <ejb-link>HrmEligibilityFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmLeaveFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocal</local>
        <ejb-link>HrmLeaveFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmManPlFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmManPlFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmManPlFacadeLocal</local>
        <ejb-link>HrmManPlFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmPromotionFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmPromotionFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmPromotionFacadeLocal</local>
        <ejb-link>HrmPromotionFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmRecruitmentFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmRecruitmentFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmRecruitmentFacadeLocal</local>
        <ejb-link>HrmRecruitmentFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmTrainingFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmTrainingFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmTrainingFacadeLocal</local>
        <ejb-link>HrmTrainingFacade</ejb-link>
      </ejb-local-ref>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmPerformanceAppraisalFacade</display-name>
      <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmPerformanceAppraisalFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmPerformanceAppraisalFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmPerformanceAppraisalFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmTrainingFacade</display-name>
      <ejb-name>HrmTrainingFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmTrainingFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmTrainingFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmTrainingFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmAttendanceFacade</display-name>
      <ejb-name>HrmAttendanceFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmAttendanceFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmAttendanceFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmAttendanceFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmHelpFacade</display-name>
      <ejb-name>HrmHelpFacade</ejb-name>
      <home>wenrgise.ejb.help.facade.HelpFacadeHome</home>
      <remote>wenrgise.ejb.help.facade.HelpFacade</remote>
      <ejb-class>wenrgise.ejb.help.facade.HelpFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmAllocationTransferDeputationFacade</display-name>
      <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmAllocationTransferDeputationFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmAllocationTransferDeputationFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmAllocationTransferDeputationFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmRecruitmentFacade</display-name>
      <ejb-name>HrmRecruitmentFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmRecruitmentFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmRecruitmentFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmRecruitmentFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmLeaveFacade</display-name>
      <ejb-name>HrmLeaveFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmLeaveFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmThirdFacade</display-name>
      <ejb-name>HrmThirdFacade</ejb-name>
      <home>wenrgise.hrms.ejb.facade.HrmThirdFacadeHome</home>
      <remote>wenrgise.hrms.ejb.facade.HrmThirdFacade</remote>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmThirdFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmAllocationTransferDeputationFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmAllocationTransferDeputationFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmAllocationTransferDeputationFacadeLocal</local>
        <ejb-link>HrmAllocationTransferDeputationFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmPerformanceAppraisalFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmPerformanceAppraisalFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmPerformanceAppraisalFacadeLocal</local>
        <ejb-link>HrmPerformanceAppraisalFacade</ejb-link>
      </ejb-local-ref>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmEligibilityFacade</display-name>
      <ejb-name>HrmEligibilityFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmEligibilityFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmEligibilityFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmEligibilityFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmLoanFacade</display-name>
      <ejb-name>HrmLoanFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmLoanFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmLoanFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmLoanFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    
    <session>
      <description>Session Bean ( Stateful )</description>
      <display-name>HrmUserSession</display-name>
      <ejb-name>HrmUserSession</ejb-name>
      <home>wenrgise.ejb.common.session.UserSessionHome</home>
      <remote>wenrgise.ejb.common.session.UserSession</remote>
      <ejb-class>wenrgise.ejb.common.session.UserSessionBean</ejb-class>
      <session-type>Stateful</session-type>
      <transaction-type>Container</transaction-type>
      <resource-ref>
        <res-ref-name>jdbc/conDS</res-ref-name>
        <res-type>javax.sql.DataSource</res-type>
        <res-auth>Container</res-auth>
      </resource-ref>
    </session>
    
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmOrganisationSetUpFacade</display-name>
      <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmOrganisationSetUpFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmOrganisationSetUpFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmOrganisationSetUpFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmEmployeeMaintenanceFacade</display-name>
      <ejb-name>HrmEmployeeMaintenanceFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmEmployeeMaintenanceFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmEmployeeMaintenanceFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmEmployeeMaintenanceFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmSecurityFacade</display-name>
      <ejb-name>HrmSecurityFacade</ejb-name>
      <home>wenrgise.ejb.common.facade.SecurityFacadeHome</home>
      <remote>wenrgise.ejb.common.facade.SecurityFacade</remote>
      <ejb-class>wenrgise.ejb.common.facade.SecurityFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmFacade</display-name>
      <ejb-name>HrmFacade</ejb-name>
      <home>wenrgise.hrms.ejb.facade.HrmFacadeHome</home>
      <remote>wenrgise.hrms.ejb.facade.HrmFacade</remote>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmAdvanceClaimFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmAdvanceClaimFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmAdvanceClaimFacadeLocal</local>
        <ejb-link>HrmAdvanceClaimFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmEmployeeMaintenanceFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmEmployeeMaintenanceFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmEmployeeMaintenanceFacadeLocal</local>
        <ejb-link>HrmEmployeeMaintenanceFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmLeaveFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmLeaveFacadeLocal</local>
        <ejb-link>HrmLeaveFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmLoanFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmLoanFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmLoanFacadeLocal</local>
        <ejb-link>HrmLoanFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmOrganisationSetUpFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmOrganisationSetUpFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmOrganisationSetUpFacadeLocal</local>
        <ejb-link>HrmOrganisationSetUpFacade</ejb-link>
      </ejb-local-ref>
      <ejb-local-ref>
        <ejb-ref-name>ejb/HrmSeparationFacadeLocal</ejb-ref-name>
        <ejb-ref-type>Session</ejb-ref-type>
        <local-home>wenrgise.hrms.ejb.facade.HrmSeparationFacadeLocalHome</local-home>
        <local>wenrgise.hrms.ejb.facade.HrmSeparationFacadeLocal</local>
        <ejb-link>HrmSeparationFacade</ejb-link>
      </ejb-local-ref>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmSeparationFacade</display-name>
      <ejb-name>HrmSeparationFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmSeparationFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmSeparationFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmSeparationFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmAdvanceClaimFacade</display-name>
      <ejb-name>HrmAdvanceClaimFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmAdvanceClaimFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmAdvanceClaimFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmAdvanceClaimFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmManPlFacade</display-name>
      <ejb-name>HrmManPlFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmManPlFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmManPlFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmManPlFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
    <session>
      <description>Session Bean ( Stateless )</description>
      <display-name>HrmPromotionFacade</display-name>
      <ejb-name>HrmPromotionFacade</ejb-name>
      <local-home>wenrgise.hrms.ejb.facade.HrmPromotionFacadeLocalHome</local-home>
      <local>wenrgise.hrms.ejb.facade.HrmPromotionFacadeLocal</local>
      <ejb-class>wenrgise.hrms.ejb.facade.HrmPromotionFacadeBean</ejb-class>
      <session-type>Stateless</session-type>
      <transaction-type>Container</transaction-type>
    </session>
  </enterprise-beans>
  <assembly-descriptor>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>rejectEmpTrngReq</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngEmpReqHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngCalHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngCrsBudHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngCrsMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
         </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngEmpReqHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngFacBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngFacTrngHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngInsCrsHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveHrmTrngEmpAtt</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngEmpAttHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>submitEmpTrngReq</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngEmpReqHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveEmpTrngReq</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTrngEmpReqHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmTrainingFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>calendarClose</method-name>
        <method-params>
          <method-param>java.lang.String</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveEmpAprsl</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveHrmAprslSpcTmp</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslSpcTmplHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveHrmAprslTmplMst</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAppTempHdrBean</method-param>
          <method-param>java.lang.String</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>rejectEmpAprsl</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>rejectHrmAprslSpcTmp</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslSpcTmplHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAppTempHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslSpcTmplHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslStartOrderHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAprslStartRuleHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPerformanceAppraisalFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveHrmAppRaisalKpa</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAppraisalKPAHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAttendanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAttEmpAttOutHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAttendanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAttEmpAttInHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAttendanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveAttShiftMstData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAttShiftMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAttendanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmRecruitmentFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmRecApplnMtnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmRecruitmentFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveDataTC</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmRecTestCentreMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmRecruitmentFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmRecEmpRecCreationHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmRecruitmentFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmRecAdvtMtnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmRecruitmentFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTransferApplicationHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmTransCnclOrderSingEmpHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmEmpTransCnclApplHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmChargeReportHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAllocationTransferDeputationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmATDTransOrderForSingleEmpBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>submitLvEncash</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvEncashHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvLedgerHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvEncashHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvCancHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvApplnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>rejectLvEncash</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvEncashHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveLeaveAppln</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvApplnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveLeaveCanc</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvCancHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>approveLeaveEncash</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvEncashHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLoanFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLnMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLoanFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLnChartHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLoanFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLnAppHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLoanFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>loanAppBulkPayment</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLnAppHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgWorkGroupMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgSkillMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgScaleMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgRatingMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgIncrementHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgHolTypeMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgHolCalHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgCntryMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgClassHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmOrgCalMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmOrganisationSetUpFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmEmployeeMaintenanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmEmpPersHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmEmployeeMaintenanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmEmpDiscActionHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmEmployeeMaintenanceFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmEmpDepHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmSepOrderHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmSepClrTmplMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmSepClrEmpHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmSepCatMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmSepApplnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmSeparationFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveClrListData</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAdvanceClaimFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveHrmEmpClaim</method-name>
        <method-params>
          <method-param>wenrgise.common.bean.BaseHeaderBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAdvanceClaimFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmEmpAdvAppHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAdvanceClaimFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmClaimMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmAdvanceClaimFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmAdvanceMstHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmPromotionFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>saveData</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmPrmOrderHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>CancelLeaveAppln</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvApplnHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>java.lang.String</method-param>
          <method-param>boolean</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>boolean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>wenrgise.common.utility.UserInfo</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
    <container-transaction>
      <method>
        <ejb-name>HrmLeaveFacade</ejb-name>
        <method-intf>Local</method-intf>
        <method-name>creditLeaves</method-name>
        <method-params>
          <method-param>wenrgise.hrms.bean.HrmLvCreditHdrBean</method-param>
          <method-param>java.sql.Timestamp</method-param>
          <method-param>java.util.ArrayList</method-param>
          <method-param>java.sql.Timestamp</method-param>
        </method-params>
      </method>
      <trans-attribute>RequiresNew</trans-attribute>
    </container-transaction>
  </assembly-descriptor>
</ejb-jar>
